解決済クレジット決済会社の選択ができません

フォーラム 使い方全般 【解決済】クレジット決済会社の選択ができません

  • このトピックには26件の返信、5人の参加者があり、最後にsaruo999により2週、 5日前に更新されました。
15件の投稿を表示中 - 1 - 15件目 (全27件中)
  • 投稿者
    投稿
  • #81928
    idomi
    参加者

    ——————————————-
    WordPress のバージョン:4.7.2
    Welcart のバージョン:1.9.1
    ご利用のテーマ:Welcart Basic
    症状を確認したブラウザ:chrome
    サーバー(会社名、サービス名):xserver
    SSLの利用:不明 
    WordPress のパーマリンク設定:投稿名
    ——————————————–

    お世話になります。
    ゼウスの契約が成立したので、マニュアル(https://www.welcart.com/documents/manual-2/%E3%82%AF%E3%83%AC%E3%82%B8%E3%83%83%E3%83%88%E6%B1%BA%E6%B8%88%E8%A8%AD%E5%AE%9A#zeus)の通り『クレジット決済設定』から設定を行おうとしたのですが、そもそも『利用中のクレジット決済代行会社』の欄にドラッグ&ドロップができないようになっていて全く先に進めません。

    初心者のため大変困っております。
    何卒ご回答よろしくお願いいたします。

    #81956
    yskysmr
    キーマスター

    こんにちは。

    そもそも『利用中のクレジット決済代行会社』の欄にドラッグ&ドロップができないようになっていて

    とのことですが、弊社ではそのような症状は確認できませんでした。
    ブラウザの検証機能などを使って、JavaScript のエラーが出ていないか、確認してみてくださいますでしょうか。もしエラーがありましたら、Welcart 以外のプラグインを停止してみてください。

    #82038
    idomi
    参加者

    お世話になります。

    アドバイスいただいた通り、Welcart以外のプラグインを停止するとドラッグできるようになりました。
    大変助かりました。
    ありがとうございました。

    #95076
    saruo999
    参加者

    ——————————————-
    WordPress のバージョン:5.8.1
    Welcart のバージョン:2.3.1
    PHP のバージョン:7.4
    Welcart専用の拡張プラグインとバージョン:(例 DL Seller 3.0.8、SKU Select 1.1.4)
    ご利用のテーマ:WelcartBasic
    症状を確認したブラウザ:Chtome, Firefox, Edge
    サーバー【重要】:お名前.com RSサーバー
    ——————————————–
    ZEUSから設定完了の連絡を受け、
    https://www.welcart.com/docs/settlement/Zeus_1.0.4.pdf
    このマニュアルの通りに設定をしようと試みましたが、上記のご質問の方と全く同じで「利用できる決済モジュール」をドラッグ&ドロップで決済移動させることができない状況です。Win10のNotePC2種類、DestopPCの合計3台で試しましたがいずれも同じ状況。ブラウザもChrome,Firefox,Edgeと試しましたが同様。プラグインをWelcart以外を無効にして試しても同じでした。
    Chromeの検証機能でerrorを表示させると添付のスクショのようなエラーが出ていたので、これが原因でしょうか?とにかく、クレジットカード決済モジュールを設定する対策をご教授いただけないでしょうか?
    お忙しいところすみませんが、よろしくお願いします。

    Attachments:
    You must be logged in to view attached files.
    #95081
    sagawa
    キーマスター

    saruo999様

    添付いただいたJavaScriptのエラーによる可能性がありますので、こちらのエラーを解決していただけますでしょうか?
    エラー内容を見ますと、SSL化されたhttpsページ内にhttpで読み込んでいるファイルがあるとなっています。
    常時SSL化の設定と併せてチェックいただければと思います。
    https://www.welcart.com/archives/tips/tips-20180105-3

    #95088
    saruo999
    参加者

    ——————————————-
    WordPress のバージョン:5.8.1
    Welcart のバージョン:2.3.1
    PHP のバージョン:7.4
    Welcart専用の拡張プラグインとバージョン:(例 DL Seller 3.0.8、SKU Select 1.1.4)
    ご利用のテーマ:WelcartBasic
    症状を確認したブラウザ:Chtome, Firefox, Edge
    サーバー【重要】:お名前.com RSサーバー
    ——————————————–
    アドバイス頂き、ありがとうございました。
    ChromeのMixedContentのエラーがでていること理解しました。

    いただいたこのページに基づき、SSLの設定を見直してみましたが、エラーは改善しませんでした。
    常時SSL化はできているものと思われます。

    他にどのような対策があるか教えていただけないでしょうか?

    Attachments:
    You must be logged in to view attached files.
    #95092
    sagawa
    キーマスター

    saruo999様

    ご確認ありがとうございます。
    SSL化の設定に問題がないという事であれば、
    ファイルに直接「http://~」と記述している箇所などはないでしょうか?

    #95096
    saruo999
    参加者

    sagawa様
    コメントありがとうございます。
    ファイルに直接の「ファイル」とはどのことをおっしゃっているのでしょうか?
    要領を得なくて済みません。

    #95098
    sagawa
    キーマスター

    saruo999様

    添付画像を見る限りでは、admin.phpの1行目と表示されています。
    一度ご確認をお願いいたします。

    #95103
    saruo999
    参加者

    sagawa様
    アドバイスありがとうございます。
    エラーメッセージでadmin.php:1 というのがその意味と言うことを理解できていませんでした。知識不足で申し訳ありません。

    で、admin.phpを確認してみましたが、httpは1行目になく、決行したの方にいかないと出てきませんでした。
    どこが悪いかご教授いただけませんでしょうか?図々しいお願いで申し訳ありません。
    ーーーーーadmin.phpよりーーーーーーーーーーーーーーーーーー
    <?php
    /**
    * WordPress Administration Bootstrap
    *
    * @package WordPress
    * @subpackage Administration
    */

    /**
    * In WordPress Administration Screens
    *
    * @since 2.3.2
    */
    if ( ! defined( ‘WP_ADMIN’ ) ) {
    define( ‘WP_ADMIN’, true );
    }

    if ( ! defined( ‘WP_NETWORK_ADMIN’ ) ) {
    define( ‘WP_NETWORK_ADMIN’, false );
    }

    if ( ! defined( ‘WP_USER_ADMIN’ ) ) {
    define( ‘WP_USER_ADMIN’, false );
    }

    if ( ! WP_NETWORK_ADMIN && ! WP_USER_ADMIN ) {
    define( ‘WP_BLOG_ADMIN’, true );
    }

    if ( isset( $_GET[‘import’] ) && ! defined( ‘WP_LOAD_IMPORTERS’ ) ) {
    define( ‘WP_LOAD_IMPORTERS’, true );
    }

    require_once dirname( __DIR__ ) . ‘/wp-load.php’;

    nocache_headers();

    if ( get_option( ‘db_upgraded’ ) ) {

    flush_rewrite_rules();
    update_option( ‘db_upgraded’, false );

    /**
    * Fires on the next page load after a successful DB upgrade.
    *
    * @since 2.8.0
    */
    do_action( ‘after_db_upgrade’ );
    ーーーー中略ーーーー

    #95107
    sagawa
    キーマスター

    saruo999様

    あくまでエラーをとらえた箇所なので、必ずしもピンポイントでそこに原因があるとは限りません。
    Welcart以外のプラグインを無効にしてもエラーが表示されるという事ですので、テーマフォルダ内のファイルに「http://~」と記述している箇所がないかご確認下さい。
    記述が見当たらないようであれば、SSL化の設定に問題がある可能性もあります。

    現時点では、実際にサイトを拝見しないことには、判断がつきません。
    ご自身での解決が難しい場合は、WelRescueよりご依頼いただければと思います。

    #95108
    Alicia
    参加者

    RSサーバーでWAFの設定を有効にしていませんか?
    エラーログが出ていれば、該当部分の除外設定を試してみて下さい。
    WAFの設定を変更すると、サーバーによっては反映されるまでに時間が掛かることがありますので15分ほど待ってから確認することをお勧めします。

    #95109
    saruo999
    参加者

    Alicia様
    RSサーバーの設定でWAFの設定をONにしておりました。
    今OFFにしてみましたので、しばらくして、Welcart Shopのクレジットカード決済選択のドラッグ&ドロップを再度トライしてみます。
    続報いたします。

    #95110
    saruo999
    参加者

    sagawa様
    >テーマフォルダ内のファイルに「http://~」と記述している箇所がないかご確認下さい。
    確認してみました。

    画像のようにwp-content – themes の下にはwelcart様関連のファイルしか配置していません。(他のテーマは削除済)

    http;//~と記述している箇所がないか、これらファイルを一つづつ確認すべきでしょうか?

    Attachments:
    You must be logged in to view attached files.
    #95112
    saruo999
    参加者

    もしかして、SSLに問題があるのでしょうか?
    お名前.com RSサーバーの無料SSLというのを利用しておりますが、それが原因という可能性もあるでしょうか?

15件の投稿を表示中 - 1 - 15件目 (全27件中)
  • このトピックに返信するにはログインが必要です。